Subject: Submodule improvements (Re: What's cooking in git.git (Apr 2014, #09; Tue, 29))

From: Jonathan Nieder <[email-masked]>
Date: Thu, 8 May 2014 17:58:59 -0700

Hi,

David Lang wrote:

> I haven't been paying close attention for a while, what would have
> to be done to make submodules "an integral part of Git"?

The series at
http://thread.gmane.org/gmane.comp.version-control.git/241455 is a
start.  I'm hoping to get a reroll done soon and then I can talk about
later steps.

https://github.com/jlehmann/git-submod-enhancements/wiki has a rough
roadmap, but really there's lots of commands that could be improved to
recurse into submodules and not many interdependencies involved so
anyone can bite off a chunk.

Thanks,
Jonathan